List scheduled tasks
curl --request GET \
--url https://us.api.flexprice.io/v1/tasks/scheduled \
--header 'x-api-key: <api-key>'import requests
url = "https://us.api.flexprice.io/v1/tasks/scheduled"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://us.api.flexprice.io/v1/tasks/scheduled', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"connection_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"enabled": true,
"environment_id": "<string>",
"id": "<string>",
"job_config": {
"bucket": "<string>",
"endpoint_url": "<string>",
"export_metadata_fields": [
{
"field_key": "<string>",
"column_name": "<string>"
}
],
"key_prefix": "<string>",
"region": "<string>",
"use_path_style": true
},
"status": "<string>",
"tenant_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"limit": 123,
"offset": 123,
"total": 123
}
}{
"http_status_code": 123,
"message": "<string>"
}{
"http_status_code": 123,
"message": "<string>"
}Scheduled Tasks
List scheduled tasks
Use when listing or managing scheduled tasks in an admin UI. Returns a list; supports filtering by status, type, and pagination.
GET
/
tasks
/
scheduled
List scheduled tasks
Authorizations
Enter your API key in the format x-api-key <api-key>*
Query Parameters
Limit
Offset
Filter by connection ID
Filter by entity type
Filter by interval
Filter by enabled status
⌘I

